Bug 1737989 - gst-entrans depends on Python 2
Summary: gst-entrans depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gst-entrans
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Theodore Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:20 UTC by Lumír Balhar
Modified: 2019-12-21 00:56 UTC (History)
1 user (show)

Fixed In Version: gst-entrans-1.4.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-21 00:56:23 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:20:03 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gst-entrans's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gst-entrans.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Theodore Lee 2019-08-07 05:02:04 UTC
I believe both the entrans and enplayer tools are written in Python 2. I will see about getting in touch with upstream to see if there are any porting plans.

Comment 2 Ben Cotton 2019-08-13 17:00:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:35:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-14 08:45:33 UTC
Anything new?

Comment 5 Lumír Balhar 2019-08-21 13:36:58 UTC
Could you please point us somewhere where this is discussed (upstream issue, mailing list etc.)?

Comment 6 Theodore Lee 2019-08-23 14:18:46 UTC
Upstream has indicated they've been planning a Python 3 port for a while, with work moving up (hopefully ready before November) now that they're aware of the Python 2 EOL. I don't have a filed issue for this right now, unfortunately.

Comment 7 Lumír Balhar 2019-09-02 05:31:39 UTC
Okay, then please don't forget to check the status.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 8 Theodore Lee 2019-10-18 10:01:06 UTC
Upstream released 1.4.0 as a full port to Python 3 a few weeks ago. I've built the release and it seems to be in good order, and should no longer depend on Python 2.

1.4.0 is now in rawhide. I plan to push it to F30 and F31 as well, but as all my testing has been on F29, I do want to get my machine updated to F30 and test the builds there. I believe it will also be necessary to wait for F31 GA before any updates can happen.

Comment 9 Lumír Balhar 2019-10-21 06:01:52 UTC
I can confirm that the latest build of this package no longer depends on Python 2. Good job!

Comment 10 Lumír Balhar 2019-11-04 07:53:09 UTC
Feel free to close this bug if you don't want to publish updates for older Fedoras.

Comment 11 Fedora Update System 2019-12-09 09:00:20 UTC
FEDORA-2019-2b4545d364 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b4545d364

Comment 12 Fedora Update System 2019-12-09 09:21:29 UTC
FEDORA-2019-ebe8a8efd9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ebe8a8efd9

Comment 13 Fedora Update System 2019-12-10 18:27:57 UTC
gst-entrans-1.4.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ebe8a8efd9

Comment 14 Fedora Update System 2019-12-10 18:47:03 UTC
gst-entrans-1.4.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b4545d364

Comment 15 Fedora Update System 2019-12-21 00:56:23 UTC
gst-entrans-1.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.